# OpenFortiVPN_macOS

Enthält Skripte, mit denen man unter macOS und evtl. unter Linux eine Verbindung zum VPN aufbauen kann.

Voraussetzung dafür sind die Tools openconnect und xbar

Diese lassen sich einfach über [Homebrew](https://brew.sh/) installieren.

Zunächst Homebrew installieren, sofern noch nicht geschehen.

```zsh
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
```

Danach kann man simple die benötigten Tools installieren.

```bash
brew update && brew install openconnect xbar
```

---

Nach der Installation muss man eines der beiden Skripte unter dem folgenden Pfad ablegen und ausführbar machen.

```bash
cd /Users/$USER/Library/Application\ Support/xbar/plugins
wget https://git.bib.de/itssct/OpenFortiVPN_macOS/raw/branch/main/bibVPN.sh
chmod +x bibVPN.sh
```

---

Damit openconnect eine Verbindung aufbauen darf, benötigt man administrative Berechtigungen. Diese kann man dem Tool dann geben, indem man es in die SUDOERS Datei eintragen.

```bash
echo "$USER ALL=(ALL) NOPASSWD: $(which openconnect)
$USER ALL=(ALL) NOPASSWD: /usr/bin/killall -2 openconnect" | sudo tee /private/etc/sudoers.d/openconnect
```


Anschließend xbar starten und die erscheinenden Fenster bestätigen. Danach sollte in der Menüleiste das Tool auftauchen.
```zsh
open /Applications/xbar.app
```
